Bug 5743 - Ralink MT7601U Wireless Adapter
: Ralink MT7601U Wireless Adapter
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Hardware
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Eugene Shatokhin
: Eugene Shatokhin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-09 09:50 MSD by Sergey Kalinin
Modified: 2015-08-26 12:07 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Kalinin 2015-06-09 09:50:48 MSD
Description of problem: MT7601U Wireless Adapter don't work
lsusb: Bus 001 Device 002: ID 148f:7601 Ralink Technology, Corp. MT7601U Wireless Adapter
hwprobe: kernel 3.14 http://hw.rosalinux.ru/index.php?probe=97083f714b
3.18 http://hw.rosalinux.ru/index.php?probe=3941b6f856
I need this driver https://github.com/porjo/mt7601 or official download page http://mediatek.com/en/downloads/?sort=date (last version V3.14)
Comment 1 Eugene Shatokhin 2015-06-10 17:24:45 MSD
The original forum thread, for reference:
http://forum.rosalab.ru/viewtopic.php?f=53&t=5714
Comment 2 Eugene Shatokhin 2015-06-17 11:55:44 MSD
I have prepared the preliminary packages with 2 drivers for that:

1. (for kernel 3.14.x, x86_64 only) 
dkms-ralink-mt7601-old, available here:
http://abf-downloads.rosalinux.ru/spectre_personal/container/2511172/x86_64/main/release/

This one is based on https://github.com/porjo/mt7601.

Note that the code quality seems to be quite poor there, no wonder it was rejected by the developers of the mainline kernel.

2. (for kernel 4.x) 
dkms-mt7601u, available here:

i586:
http://abf-downloads.rosalinux.ru/spectre_personal/container/2511489/i586/main/release/

x86_64:
http://abf-downloads.rosalinux.ru/spectre_personal/container/2511490/x86_64/main/release/

The code is from https://github.com/kuba-moo/mt7601u, looks much cleaner than the first variant (dkms-ralink-mt7601-old).

Note that when dkms-mt7601u, it will attempt to download the firmware automatically.
Comment 3 Eugene Shatokhin 2015-06-19 13:20:29 MSD
At least the driver for the kernel 4.0 works.
http://forum.rosalab.ru/viewtopic.php?f=53&t=5714#p46283

Let us keep the bug report open though, until the driver is in our official repositories.
Comment 4 Sergey Kalinin 2015-08-16 17:22:25 MSD
А драйвер в репозиторий не пошел что ли?
Comment 5 Eugene Shatokhin 2015-08-16 20:50:04 MSD
Нет, пока я его туда не добавлял. Этот драйвер только для ядра 4.x, которое пока у нас официальным не является. Для 3.14 он работать не будет.

Если нужно, отдельную сборку могу сделать.

Перед переходом на ядро 4.x в качестве основного, думаю, добавим и в репозиторий этот драйвер, вместе с драйвером для MT7630e. Может, раньше - там видно будет.
Comment 6 Eugene Shatokhin 2015-08-17 13:02:30 MSD
Сборки драйвера mt7601u готовы:
Для 64-битных систем: http://abf-downloads.rosalinux.ru/spectre_personal/repository/rosa2014.1/x86_64/main/release/dkms-mt7601u-0.0-1.git2f907b83-rosa2014.1.x86_64.rpm
Для 32-битных систем: http://abf-downloads.rosalinux.ru/spectre_personal/repository/rosa2014.1/i586/main/release/dkms-mt7601u-0.0-1.git2f907b83-rosa2014.1.i586.rpm

Опубликовал их пока в свой репозиторий, чтобы не исчезли, как предыдущие. Позже - обновим и добавим в официальные репозитории.
Comment 7 Eugene Shatokhin 2015-08-21 23:00:29 MSD
I have updated the packages with and published them to Contrib.
Comment 8 Eugene Shatokhin 2015-08-26 12:07:44 MSD
Works OK for the MT7601U-based device we have now. Closing.

Fixed for the kernel 4.1, wontfix - for 3.14.